using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB_Ivanov
{
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
        }

        private void okazanieUslugBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.okazanieUslugBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_IvanovDataSet);

        }

        private void Form4_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_IvanovDataSet.OkazanieUslug". При необходимости она может быть перемещена или удалена.
            this.okazanieUslugTableAdapter.Fill(this.bB_IvanovDataSet.OkazanieUslug);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            okazanieUslugBindingSource.AddNew();

        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.okazanieUslugBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_IvanovDataSet);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            okazanieUslugBindingSource.RemoveCurrent();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            Form1 f = new Form1();
            f.Show();
            this.Hide();
        }
    }
}
